Package org.eclipse.rdf4j.federated.evaluation.union

## Class ParallelGetStatementsTask

- java.lang.Object
- - org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTaskBase<Statement>
  - - org.eclipse.rdf4j.federated.evaluation.union.ParallelGetStatementsTask

- All Implemented Interfaces:
    `ParallelTask<Statement>`

      public class ParallelGetStatementsTask
      extends ParallelTaskBase<Statement>

  A task implementation to retrieve statements for a given `StatementPattern` using the provided triple source.
  Author:
    Andreas Schwarte

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Resource[]` | `contexts` |
    `protected Endpoint` | `endpoint` |
    `protected Value` | `obj` |
    `protected IRI` | `pred` |
    `protected QueryInfo` | `queryInfo` |
    `protected Resource` | `subj` |
    `protected ParallelExecutor<Statement>` | `unionControl` |

    - ### Fields inherited from class org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTaskBase

      `scheduledFuture`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParallelGetStatementsTask​(ParallelExecutor<Statement> unionControl, Endpoint endpoint, Resource subj, IRI pred, Value obj, QueryInfo queryInfo, Resource... contexts)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ParallelExecutor<Statement>` | `getControl()` | return the controlling instance, e.g.
    `protected CloseableIteration<Statement,​QueryEvaluationException>` | `performTaskInternal()` |

    - ### Methods inherited from class org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTaskBase

      `cancel, performTask, setScheduledFuture, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTask

      `getQueryInfo`

- - ### Field Detail

    - #### unionControl

          protected final ParallelExecutor<Statement> unionControl

    - #### endpoint

          protected final Endpoint endpoint

    - #### subj

          protected final Resource subj

    - #### pred

          protected final IRI pred

    - #### obj

          protected final Value obj

    - #### queryInfo

          protected final QueryInfo queryInfo

    - #### contexts

          protected Resource[] contexts

  - ### Constructor Detail

    - #### ParallelGetStatementsTask

          public ParallelGetStatementsTask​(ParallelExecutor<Statement> unionControl,
                                           Endpoint endpoint,
                                           Resource subj,
                                           IRI pred,
                                           Value obj,
                                           QueryInfo queryInfo,
                                           Resource... contexts)

  - ### Method Detail

    - #### getControl

          public ParallelExecutor<Statement> getControl()

      Description copied from interface: `ParallelTask`
      return the controlling instance, e.g. in most cases the instance of a thread. Shared variables are used to inform the thread about new events.
      Returns:
        the control executor

    - #### performTaskInternal

          protected CloseableIteration<Statement,​QueryEvaluationException> performTaskInternal()
                                                                                              throws Exception

      Specified by:
        `performTaskInternal` in class `ParallelTaskBase<Statement>`
      Throws:
        `Exception`